Subject: Re: Confirm or deny.
From: Bob McGowan <[email-masked]>
To: L Anderson <[email-masked]>
Cc: cygwinList <[email-masked]>
Date: Mon, 29 Jan 2001 12:57:58 -0800

Under bash, you will get a complete emulation, as far as is possible considering what is really under the covers.  That is to say, you have profiles, sophisticated
scripting, etc.  Builtin commands will work in the UNIX way.

The utilities will also run under a command prompt.  You will have the standard DOS command environment.  The cd command (and other builtins) will function DOSishly because
you are in fact running a DOSish envrironment.  But ls or any other Cygwin utility will run in a UNIXish manner, including globbing of wild cards on the command line.

L Anderson wrote:
> 
> I'm trying to understand, clarify, and document a problem I have
> encountered with the latest version of cygwin and it would be of great
> help if someone would confirm or deny something about cygwin for me.
> 
> It's my understanding from all I've read that cygwin is designed to run
> under a number of shells including, specifically, bash and
> Dos/Win98(command.com--I'm running Win98), albeit with  slightly
> different behavior.  In other words, can I expect cygwin to function
> Unixishly in a cygwin window and Dosishly in a Dos/Win98 window?
> 
> I have searched the faqs, user documents, etc. and can find nothing that
> claims otherwise.
> 
> Thanks,
> 
> Lowell Anderson
> 
> <comic relief>
> I've been programming for over 35 years so I hope this doesn't get me
> removed from the list or preclude me from getting an answer.
> </comic relief>
> 
> --
> Want to unsubscribe from this list?
> Check out: http://cygwin.com/ml/#unsubscribe-simple

-- 
Bob McGowan
Staff Software Quality Engineer
VERITAS Software
[email-masked]

--
Want to unsubscribe from this list?
Check out: http://cygwin.com/ml/#unsubscribe-simple